## mesa 25.1.5

=== debian/changelog ===
mesa (25.1.5-1) experimental; urgency=medium

  [ Jianfeng Liu ]
  * d/rules: Enable iris and intel vulkan driver for loong64

  [ Timo Aaltonen ]
  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 03 Jul 2025 18:43:48 +0300

mesa (25.1.4-1) experimental; urgency=medium

  * New upstream release.
  * patches: Drop upstreamed patches.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 19 Jun 2025 10:00:29 +0300

mesa (25.1.0-1) experimental; urgency=medium

  * New upstream release.
  * rules: Enable asahi. (Closes: #1102725)
  * Drop libosmesa*, removed upstream.
  * libgbm-dev.install: Updated.
  * libglx-mesa0.symbols: Updated.
  * rules: Migrate to llvm-20.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 19 May 2025 16:10:14 +0300
