=== debian/control ===
Source: mesa
Section: graphics
Priority: optional
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Andreas Boll <aboll@debian.org>
Standards-Version: 4.1.4
Build-Depends:
 debhelper-compat (= 13),
 directx-headers-dev (>= 1.614.1) [linux-amd64 linux-arm64],
 flatbuffers-compiler [linux-arm64],
 glslang-tools [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
 spirv-tools (>= 2024.4~rc1) [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
 meson (>= 1.4.0),
 pkgconf,
 libdrm-dev (>= 2.4.125-1),
 libx11-dev,
 libxxf86vm-dev,
 libexpat1-dev,
 libflatbuffers-dev [linux-arm64],
 libsensors-dev [!hurd-any],
 libxfixes-dev,
 libxext-dev,
 libva-dev (>= 1.6.0) [linux-any] <!pkg.mesa.nolibva>,
 libvdpau-dev (>= 1.5) [linux-any],
 libvulkan-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
 x11proto-dev,
 linux-libc-dev (>= 2.6.31) [linux-any],
 libx11-xcb-dev,
 libxcb-dri2-0-dev (>= 1.8),
 libxcb-glx0-dev (>= 1.8.1),
 libxcb-xfixes0-dev,
 libxcb-dri3-dev,
 libxcb-present-dev,
 libxcb-randr0-dev,
 libxcb-shm0-dev,
 libxcb-sync-dev,
 libxrandr-dev,
 libxshmfence-dev (>= 1.1),
 libxtensor-dev [linux-arm64],
 libzstd-dev,
 python3,
 python3-mako,
 python3-ply,
 python3-yaml,
 python3-pycparser [arm64 armhf],
 python3-setuptools,
 flex,
 bison,
 libelf-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
 libwayland-dev (>= 1.15.0) [linux-any],
 libwayland-egl-backend-dev (>= 1.15.0) [linux-any],
 llvm-20-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
 libclang-20-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
 libclang-cpp20-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
 libclc-20-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
 libclc-20 [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
 wayland-protocols (>= 1.38),
 zlib1g-dev,
 libglvnd-core-dev (>= 1.3.2),
 valgrind [amd64 arm64 armhf i386 mips64el powerpc ppc64 ppc64el s390x],
 rustc (>= 1.78) [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
 rustfmt [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
 bindgen (>= 0.66.1~) [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
 cbindgen [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
 llvm-spirv-20 [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
 libllvmspirvlib-20-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
 librust-paste-dev [amd64 arm64 armhf i386 ppc64 riscv64 x32],
 librust-syn-dev (>= 2.0.48) [amd64 arm64 armhf i386 ppc64 riscv64 x32],
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/xorg-team/lib/mesa.git
Vcs-Browser: https://salsa.debian.org/xorg-team/lib/mesa
Homepage: https://mesa3d.org/

Package: libxatracker2
Section: libs
Architecture: amd64 i386 x32
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: X acceleration library -- runtime
 This package contains the XA (X acceleration) library.  It is used exclusively
 by the X server to do render, copy and video acceleration.
 .
 XA is intended to be used by the vmware driver for virtualized X acceleration.

Package: libxatracker-dev
Section: libdevel
Architecture: amd64 i386 x32
Depends:
 libxatracker2 (= ${binary:Version}),
 ${misc:Depends},
Multi-Arch: same
Description: X acceleration library -- development files
 This package contains the XA (X acceleration) library.  It is used exclusively
 by the X server to do render, copy and video acceleration.
 .
 XA is intended to be used by the vmware driver for virtualized X acceleration.
 .
 This package provides the development environment for compiling programs
 against the xatracker library.

Package: libd3dadapter9-mesa
Section: libs
Architecture: amd64 arm64 armel armhf i386
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libudev1 [linux-any],
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: state-tracker for Direct3D9
 This package contains a Gallium3D state tracker that implements the Direct3D9
 API.  Combined with the gallium-nine branch of Wine, programs using D3D9 can
 achieve native (or better) graphics performance.

Package: libd3dadapter9-mesa-dev
Section: libdevel
Architecture: amd64 arm64 armel armhf i386
Depends:
 libd3dadapter9-mesa (= ${binary:Version}),
 libudev1 [linux-any],
 ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: state-tracker for Direct3D9 -- development files
 This package contains a Gallium3D state tracker that implements the Direct3D9
 API.  Combined with the gallium-nine branch of Wine, programs using D3D9 can
 achieve native (or better) graphics performance.
 .
 Development files

Package: libgbm1
Section: libs
Architecture: linux-any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 mesa-libgallium (= ${binary:Version}),
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: generic buffer management API -- runtime
 This package contains the GBM buffer management library.  It provides a
 mechanism for allocating buffers for graphics rendering tied to Mesa.
 .
 GBM is intended to be used as a native platform for EGL on drm or openwfd.

Package: libgbm-dev
Section: libdevel
Architecture: linux-any
Depends:
 libgbm1 (= ${binary:Version}),
 ${misc:Depends},
Multi-Arch: same
Description: generic buffer management API -- development files
 This package contains the GBM buffer management library.  It provides a
 mechanism for allocating buffers for graphics rendering tied to Mesa.
 .
 GBM is intended to be used as a native platform for EGL on drm or openwfd.
 .
 This package provides the development environment for compiling programs
 against the GBM library.

Package: libegl-mesa0
Section: libs
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libgbm1 (= ${binary:Version}) [!hurd-any],
 mesa-libgallium (= ${binary:Version}),
Provides: libegl-vendor
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: free implementation of the EGL API -- Mesa vendor library
 This package contains the EGL native platform graphics interface library.
 EGL provides a platform-agnostic mechanism for creating rendering surfaces
 for use with other graphics libraries, such as OpenGL|ES.
 .
 This package contains the Mesa vendor library for EGL.

Package: libegl1-mesa-dev
Section: libdevel
Architecture: any
Depends:
 libegl-dev,
 libglvnd-dev,
 ${misc:Depends},
Multi-Arch: same
Description: free implementation of the EGL API -- development files
 This package contains the development environment required for compiling
 programs against EGL native platform graphics interface library.
 EGL provides a platform-agnostic mechanism for creating rendering surfaces
 for use with other graphics libraries, such as OpenGL|ES.
 .
 This package provides the development environment for compiling programs
 against the EGL library.

Package: libgles2-mesa-dev
Section: oldlibs
Architecture: any
Depends:
 libgles-dev,
 libglvnd-dev,
 ${misc:Depends},
Multi-Arch: same
Description: transitional dummy package
 This is a transitional dummy package, it can be safely removed.

Package: libglx-mesa0
Section: libs
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libgl1-mesa-dri,
 mesa-libgallium (= ${binary:Version}),
Provides: libglx-vendor
Breaks:
 libopengl-perl (<< 0.6704+dfsg-2),
 glx-diversions (<< 0.8.4~),
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: free implementation of the OpenGL API -- GLX vendor library
 Mesa is a 3-D graphics library with an API which is very similar to
 that of OpenGL.  To the extent that Mesa utilizes the OpenGL command
 syntax or state machine, it is being used with authorization from
 Silicon Graphics, Inc.  However, the authors make no claim that Mesa
 is in any way a compatible replacement for OpenGL or associated with
 Silicon Graphics, Inc.
 .
 This version of Mesa provides GLX and DRI capabilities: it is capable of
 both direct and indirect rendering.  For direct rendering, it can use DRI
 modules from the libgl1-mesa-dri package to accelerate drawing.
 .
 This package does not include the modules themselves: these can be found
 in the libgl1-mesa-dri package.

Package: libgl1-mesa-dri
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 libgbm1 (= ${binary:Version}) [!hurd-any],
 libvulkan1 [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
 ${shlibs:Depends},
 ${misc:Depends}
Multi-Arch: same
Description: free implementation of the OpenGL API -- DRI modules
 This version of Mesa provides GLX and DRI capabilities: it is capable of
 both direct and indirect rendering.  For direct rendering, it can use DRI
 modules from the libgl1-mesa-dri package to accelerate drawing.
 .
 This package does not include the OpenGL library itself, only the DRI
 modules for accelerating direct rendering.
 .
 For a complete description of Mesa, please look at the
 libglx-mesa0 package.

Package: libgl1-mesa-dev
Section: oldlibs
Architecture: any
Depends:
 libgl-dev,
 libglvnd-dev,
 ${misc:Depends},
Multi-Arch: same
Description: transitional dummy package
 This is a transitional dummy package, it can be safely removed.

Package: mesa-common-dev
Section: libdevel
Architecture: any
Depends:
 libgl-dev,
 libglx-dev,
 libx11-dev,
 libdrm-dev (>= 2.4.95) [!hurd-any],
 ${misc:Depends},
Breaks: libegl1-mesa-dev (<< 18.2.5-2)
Replaces: libegl1-mesa-dev (<< 18.2.5-2)
Multi-Arch: same
Description: Developer documentation for Mesa
 This package includes the specifications for the Mesa-specific OpenGL
 extensions, the complete set of release notes and the development header
 files common to all Mesa packages.

Package: mesa-libgallium
Section: libs
Architecture: linux-any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Provides: libglapi-mesa
Multi-Arch: same
Description: shared infrastructure for Mesa drivers
 This package contains libgallium, a private library shared between
 multiple Mesa drivers. This library is an implementation detail of Mesa
 and should not be used directly by user code.

Package: mesa-teflon-delegate
Section: libs
Architecture: arm64
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Mesa TensorFlow Lite external delegate
 TensorFlow Lite delegate which can make use of NPUs to accelerate ML
 inference. It is implemented in the form of a external delegate, a shared
 library which the TensorFlow Lite runtime can load at startup.

Package: mesa-va-drivers
Section: libs
Architecture: linux-any
Build-Profiles: <!pkg.mesa.nolibva>
Depends:
 mesa-libgallium (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Enhances:
 libva2,
Provides:
 va-driver,
Breaks: vdpau-va-driver (<< 0.7.4-5)
Replaces: vdpau-va-driver (<< 0.7.4-5)
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: Mesa VA-API video acceleration drivers
 These libraries provide the Video Acceleration API (VA-API) for Unix.
 They provide accelerated video playback (incl. H.264) and video
 post-processing for the supported graphics cards.
 .
 This package enables support for VA-API for some gallium drivers.

Package: mesa-vdpau-drivers
Section: libs
Architecture: linux-any
Depends:
 libvdpau1,
 ${shlibs:Depends},
 ${misc:Depends},
Enhances:
 libvdpau1,
Provides:
 vdpau-driver,
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
