## mesa 25.1.7

=== debian/changelog ===
mesa (25.1.7-1ubuntu1) questing; urgency=medium

  * Merge from Debian.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 04 Aug 2025 09:53:01 +0300

mesa (25.1.7-1) experimental; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 04 Aug 2025 08:56:31 +0300

mesa (25.1.5-1ubuntu1) questing; urgency=medium

  * Merge from Debian.
  * patches: Drop upstreamed revert.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 04 Jul 2025 13:10:08 +0300

mesa (25.0.7-0ubuntu4) UNRELEASED; urgency=medium

  * patches: Drop a fix for lp2101817, since 25.0.6 carries a separate
    fix for that.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 10 Jun 2025 21:00:56 +0300

mesa (25.0.7-0ubuntu3) questing; urgency=medium

  * Revert a bad commit which broke Intel Haswell. (LP: #2113508)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 10 Jun 2025 13:01:12 +0300

mesa (25.0.7-0ubuntu2) questing; urgency=medium

  * Migrate to llvm-20. (LP: #2111265)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 04 Jun 2025 15:04:20 +0300

mesa (25.0.7-0ubuntu1) questing; urgency=medium

  * Merge from Debian git.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 02 Jun 2025 11:05:19 +0300
