=== debian/rules ===
--- 
+++ 
@@ -51,8 +51,8 @@
 confflags_TEFLON = -Dteflon=false
 
 LLVM_ARCHS     = amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
-RUSTICL_ARCHS  = amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32
-NVK_ARCHS      = amd64 arm64 armhf i386 ppc64 riscv64 x32
+RUSTICL_ARCHS  = amd64 arm64 armel armhf loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32
+NVK_ARCHS      = amd64 arm64 armhf ppc64 riscv64 x32
 VALGRIND_ARCHS = amd64 arm64 armhf i386 mips64el powerpc ppc64 ppc64el s390x
 WINE_ARCHS     = amd64 arm64 armel armhf i386
 
@@ -237,3 +237,4 @@
 
 override_dh_auto_install:
 	dh_auto_install
+	debian/merge-vulkan-driver-manifests.sh debian/tmp
