## mesa 25.2.0

=== debian/changelog ===
mesa (25.2.0-1) experimental; urgency=medium

  * New upstream release.
  * patches: Drop upstreamed and obsolete bits.
  * Drop libd3dadapter9*, gallium-nine is no more.
  * Drop libxatracker*, gallium-xa is gone.
  * Drop libMesaOpenCL from mesa-opencl-icd, clover is gone.
  * control: Bump meson and bindgen build-deps, add librust-rustc-2-hash-dev
    for nvk.
  * libegl-mesa0.symbols: Updated.
  * rules: Drop shared-glapi build option, it's deprecated and doesn't
    do anything.
  * rules: Restore quilt, as source3.0 applies patches when building the
    source.
  * rules: Enable iris/anv on arm64 & ppc64el. (Closes: #1100537)
  * rules: intel-clc is gone.
  * rules: Enable iris/anv on riscv64. (Closes: #1108849)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 07 Aug 2025 14:08:04 +0300
