=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: mesa
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Andreas Boll <aboll@debian.org>
 Standards-Version: 4.1.4
 Build-Depends:
@@ -11,7 +10,8 @@
  flatbuffers-compiler [linux-arm64],
  glslang-tools [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
  spirv-tools (>= 2024.4~rc1) [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
- meson (>= 1.4.0),
+ meson (>= 1.7.0),
+ quilt,
  pkgconf,
  libdrm-dev (>= 2.4.125-1),
  libx11-dev,
@@ -19,7 +19,6 @@
  libexpat1-dev,
  libflatbuffers-dev [linux-arm64],
  libsensors-dev [!hurd-any],
- libxfixes-dev,
  libxext-dev,
  libva-dev (>= 1.6.0) [linux-any] <!pkg.mesa.nolibva>,
  libvdpau-dev (>= 1.5) [linux-any],
@@ -29,7 +28,6 @@
  libx11-xcb-dev,
  libxcb-dri2-0-dev (>= 1.8),
  libxcb-glx0-dev (>= 1.8.1),
- libxcb-xfixes0-dev,
  libxcb-dri3-dev,
  libxcb-present-dev,
  libxcb-randr0-dev,
@@ -41,7 +39,6 @@
  libzstd-dev,
  python3,
  python3-mako,
- python3-ply,
  python3-yaml,
  python3-pycparser [arm64 armhf],
  python3-setuptools,
@@ -59,78 +56,19 @@
  zlib1g-dev,
  libglvnd-core-dev (>= 1.3.2),
  valgrind [amd64 arm64 armhf i386 mips64el powerpc ppc64 ppc64el s390x],
- rustc (>= 1.78) [amd64 arm64 armel armhf loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
- rustfmt [amd64 arm64 armel armhf loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
- bindgen (>= 0.66.1~) [amd64 arm64 armel armhf loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
- cbindgen [amd64 arm64 armel armhf loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
- llvm-spirv-20 [amd64 arm64 armel armhf loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
+ rustc (>= 1.78) [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
+ rustfmt [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
+ bindgen (>= 0.71~) [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
+ cbindgen [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
+ llvm-spirv-20 [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
  libllvmspirvlib-20-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
- librust-paste-dev [amd64 arm64 armhf ppc64 riscv64 x32],
- librust-syn-dev (>= 2.0.48) [amd64 arm64 armhf ppc64 riscv64 x32],
+ librust-rustc-hash-2-dev [amd64 arm64 armhf i386 ppc64 riscv64 x32],
+ librust-paste-dev [amd64 arm64 armhf i386 ppc64 riscv64 x32],
+ librust-syn-dev (>= 2.0.48) [amd64 arm64 armhf i386 ppc64 riscv64 x32],
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/xorg-team/lib/mesa.git
 Vcs-Browser: https://salsa.debian.org/xorg-team/lib/mesa
 Homepage: https://mesa3d.org/
-
-Package: libxatracker2
-Section: libs
-Architecture: amd64 i386 x32
-Depends:
- ${shlibs:Depends},
- ${misc:Depends},
-Pre-Depends: ${misc:Pre-Depends}
-Multi-Arch: same
-Description: X acceleration library -- runtime
- This package contains the XA (X acceleration) library.  It is used exclusively
- by the X server to do render, copy and video acceleration.
- .
- XA is intended to be used by the vmware driver for virtualized X acceleration.
-
-Package: libxatracker-dev
-Section: libdevel
-Architecture: amd64 i386 x32
-Depends:
- libxatracker2 (= ${binary:Version}),
- ${misc:Depends},
-Multi-Arch: same
-Description: X acceleration library -- development files
- This package contains the XA (X acceleration) library.  It is used exclusively
- by the X server to do render, copy and video acceleration.
- .
- XA is intended to be used by the vmware driver for virtualized X acceleration.
- .
- This package provides the development environment for compiling programs
- against the xatracker library.
-
-Package: libd3dadapter9-mesa
-Section: libs
-Architecture: amd64 arm64 armel armhf i386
-Depends:
- ${shlibs:Depends},
- ${misc:Depends},
- libudev1 [linux-any],
-Pre-Depends: ${misc:Pre-Depends}
-Multi-Arch: same
-Description: state-tracker for Direct3D9
- This package contains a Gallium3D state tracker that implements the Direct3D9
- API.  Combined with the gallium-nine branch of Wine, programs using D3D9 can
- achieve native (or better) graphics performance.
-
-Package: libd3dadapter9-mesa-dev
-Section: libdevel
-Architecture: amd64 arm64 armel armhf i386
-Depends:
- libd3dadapter9-mesa (= ${binary:Version}),
- libudev1 [linux-any],
- ${misc:Depends},
-Pre-Depends: ${misc:Pre-Depends}
-Multi-Arch: same
-Description: state-tracker for Direct3D9 -- development files
- This package contains a Gallium3D state tracker that implements the Direct3D9
- API.  Combined with the gallium-nine branch of Wine, programs using D3D9 can
- achieve native (or better) graphics performance.
- .
- Development files
 
 Package: libgbm1
 Section: libs
@@ -294,6 +232,7 @@
  ${shlibs:Depends},
  ${misc:Depends},
 Pre-Depends: ${misc:Pre-Depends}
+Provides: libglapi-mesa
 Multi-Arch: same
 Description: shared infrastructure for Mesa drivers
  This package contains libgallium, a private library shared between
@@ -348,3 +287,55 @@
 Provides:
  vdpau-driver,
 Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Description: Mesa VDPAU video acceleration drivers
+ These libraries provide the Video Decode and Presentation API for Unix.
+ They provide accelerated video playback (incl. H.264) and video
+ post-processing for the supported graphics cards.
+ .
+ This package enables support for VDPAU for some gallium drivers.
+
+Package: mesa-vulkan-drivers
+Section: libs
+Architecture: amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+ libvulkan1,
+ ${shlibs:Depends},
+ ${misc:Depends}
+Provides: vulkan-icd
+Multi-Arch: same
+Description: Mesa Vulkan graphics drivers
+ Vulkan is a low-overhead 3D graphics and compute API. This package
+ includes Vulkan drivers provided by the Mesa project.
+
+Package: mesa-opencl-icd
+Section: libs
+Architecture: amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+ libclc-20,
+ ocl-icd-libopencl1 | libopencl1,
+ ${shlibs:Depends},
+ ${misc:Depends},
+Provides: opencl-icd
+Multi-Arch: same
+Description: free implementation of the OpenCL API -- ICD runtime
+ This package contains the mesa implementation of the OpenCL (Open Compute
+ Language) library, which is intended for use with an ICD loader. OpenCL
+ provides a standardized interface for computational analysis on graphical
+ processing units.
+
+Package: mesa-drm-shim
+Section: libs
+Architecture: amd64 arm64 armel armhf i386 mips64el powerpc ppc64 ppc64el s390x sparc64
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+Multi-Arch: same
+Description: DRM shim libraries
+ This package provides drm-shim libraries which can be used for testing DRM
+ drivers when none exists on the host.
+
+# vim: tw=0
