=== debian/rules ===
--- 
+++ 
@@ -51,10 +51,9 @@
 confflags_TEFLON = -Dteflon=false
 
 LLVM_ARCHS     = amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
-RUSTICL_ARCHS  = amd64 arm64 armel armhf loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32
-NVK_ARCHS      = amd64 arm64 armhf ppc64 riscv64 x32
+RUSTICL_ARCHS  = amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32
+NVK_ARCHS      = amd64 arm64 armhf i386 ppc64 riscv64 x32
 VALGRIND_ARCHS = amd64 arm64 armhf i386 mips64el powerpc ppc64 ppc64el s390x
-WINE_ARCHS     = amd64 arm64 armel armhf i386
 
 # hurd doesn't do direct rendering
 ifeq ($(DEB_HOST_ARCH_OS), hurd)
@@ -89,15 +88,14 @@
   endif
 
   # Build intel drivers on archs where libdrm-intel is installed
-  ifneq (,$(filter $(DEB_HOST_ARCH), amd64 i386 x32 loong64))
-	GALLIUM_DRIVERS += crocus i915 iris svga
-	VULKAN_DRIVERS += intel intel_hasvk
-	# svga needs xa state tracker
-	confflags_GALLIUM += -Dgallium-xa=enabled
-  endif
-
-  ifneq (,$(filter $(DEB_HOST_ARCH), amd64))
-	confflags_GALLIUM += -Dintel-clc=enabled
+  ifneq (,$(filter $(DEB_HOST_ARCH), amd64 i386 x32))
+	GALLIUM_DRIVERS += crocus i915 svga
+	VULKAN_DRIVERS += intel_hasvk
+  endif
+
+  ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 i386 loong64 x32 ppc64el riscv64))
+	GALLIUM_DRIVERS += iris
+	VULKAN_DRIVERS += intel
   endif
 
   ifneq (,$(filter $(DEB_HOST_ARCH), $(VALGRIND_ARCHS)))
@@ -129,7 +127,6 @@
 
 	VULKAN_LAYERS += device-select intel-nullhw overlay
 	confflags_GALLIUM += -Dllvm=enabled
-	confflags_GALLIUM += -Dgallium-opencl=icd
 
 	# Build rusticl for archs where rustc is available
 	ifneq (,$(filter $(DEB_HOST_ARCH), $(RUSTICL_ARCHS)))
@@ -139,11 +136,6 @@
 	ifneq (,$(filter $(DEB_HOST_ARCH), $(NVK_ARCHS)))
 		export MESON_PACKAGE_CACHE_DIR=/usr/share/cargo/registry/
 		VULKAN_DRIVERS += nouveau
-	endif
-
-	# nine makes sense only on archs that build wine
-	ifneq (,$(filter $(DEB_HOST_ARCH), $(WINE_ARCHS)))
-		confflags_GALLIUM += -Dgallium-nine=true
 	endif
 
 	# gfxstream only builds on 64bit
@@ -190,7 +182,6 @@
 	-Dvulkan-drivers="[$(VULKAN_DRIVERS_LIST)]" \
 	-Dvulkan-layers="[$(VULKAN_LAYERS_LIST)]" \
 	-Dglvnd=enabled \
-	-Dshared-glapi=enabled \
 	-Db_ndebug=true \
 	-Dbuild-tests=true \
 	-Dtools=drm-shim \
@@ -205,7 +196,7 @@
 
 rewrite_wrap_files:
 	cp -r subprojects subprojects-save
-	for crate in paste proc-macro2 quote syn unicode-ident; \
+	for crate in paste proc-macro2 quote rustc-hash syn unicode-ident; \
 	do \
 		export crate_namever=`basename $$MESON_PACKAGE_CACHE_DIR/$$crate-*`; \
 		sed -e"/source.*/d" -e"s,$${crate}-.*,$${crate_namever}," -i subprojects/$${crate}.wrap; \
@@ -238,3 +229,12 @@
 override_dh_auto_install:
 	dh_auto_install
 	debian/merge-vulkan-driver-manifests.sh debian/tmp
+	for file in debian/*.links.in; \
+	do \
+		sed -e"s,\$${DEB_HOST_MULTIARCH},$(DEB_HOST_MULTIARCH),g" \
+			$${file} > $${file%%.in}; \
+	done
+
+# some tests are expected to fail for now, drop this when upstream has
+# better cross-build testing in place and expected failures fixed
+override_dh_auto_test:
