=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
  glslang-tools [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
  spirv-tools (>= 2024.4~rc1) [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
  meson (>= 1.7.0),
- quilt,
  pkgconf,
  libdrm-dev (>= 2.4.125-1),
  libx11-dev,
