=== debian/rules ===
--- 
+++ 
@@ -47,7 +47,6 @@
 VULKAN_DRIVERS =
 VULKAN_LAYERS =
 
-confflags_SSE2 = -Dsse2=true
 confflags_TEFLON = -Dteflon=false
 
 LLVM_ARCHS     = amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
@@ -155,10 +154,6 @@
   ifneq (,$(filter $(DEB_HOST_ARCH), arm64))
 	confflags_TEFLON = -Dteflon=true
   endif
-endif
-
-ifeq ($(DEB_HOST_ARCH), i386)
-	confflags_SSE2 = -Dsse2=false
 endif
 
 empty:=
@@ -189,7 +184,6 @@
 	$(confflags_GBM) \
 	$(confflags_GALLIUM) \
 	$(confflags_GLES) \
-	$(confflags_SSE2) \
 	$(confflags_VALGRIND) \
 	$(confflags_TEFLON)
 
@@ -205,7 +199,6 @@
 
 override_dh_clean: regen_control
 	dpkg-parsechangelog | awk '/^Version:/ {print $$2}' | sed 's/-.*//;s/~/-/' > VERSION
-	rm -rf .pc
 	rm -rf build
 	rm -rf configure bin/config.guess bin/config.sub config.h.in
 	rm -rf $$(find -name Makefile.in)
@@ -238,3 +231,9 @@
 # some tests are expected to fail for now, drop this when upstream has
 # better cross-build testing in place and expected failures fixed
 override_dh_auto_test:
+	-dh_auto_test
+
+allpkg = $(shell dh_listpackages -a)
+
+override_dh_installchangelogs:
+	dh_installchangelogs -a
