## mesa 25.2.2

=== debian/changelog ===
mesa (25.2.2-1ubuntu1) questing; urgency=medium

  * Merge from Debian.
  * patches: ANGLE fix dropped, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 04 Sep 2025 08:58:10 +0300

mesa (25.2.2-1) unstable; urgency=medium

  [ Simon McVittie ]
  * d/merge-vulkan-driver-manifests.sh: Remove library_arch from JSON manifests
    (Closes: #1110523) (LP: #2121980)

  [ Timo Aaltonen ]
  * New upstream release.
  * patches: Fix FTBFS with glibc 2.42.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 04 Sep 2025 08:44:46 +0300

mesa (25.2.1-2ubuntu1) questing; urgency=medium

  * Merge from Debian (LP: #2121790), remaining changes:
    - stay on llvm-20
    - drop i386 from rusticl, nvk archs
    - drop libglapi-mesa Provides, handled by mesa-amber
  * patches: Fix FTBFS with glibc 2.42.
  * patches: Work around ANGLE brokenness. (LP: #2121774)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 01 Sep 2025 12:07:50 +0300

mesa (25.2.1-2) unstable; urgency=medium

  * control, rules: Revert back to llvm-19 as -20 is not in unstable
    yet.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 28 Aug 2025 17:34:14 +0300
