## mesa 25.2.3

=== bin/pick/requirements.txt ===
attrs==23.1.0
packaging==25.0
urwid==2.1.2
