=== debian/changelog ===
mesa (25.2.3-1ubuntu1) questing; urgency=medium

  * Merge from Debian.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 18 Sep 2025 11:14:43 +0300

mesa (25.2.3-1) unstable; urgency=medium

  * New upstream release. (LP: #2122654)
  * patches: Fix crash on intel xe with 16kB page size. (Closes: #1115467)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 18 Sep 2025 11:08:11 +0300
