## mesa 25.2.4

=== debian/changelog ===
mesa (25.2.4-1~bpo13+2) trixie-backports; urgency=medium

  * Source only upload.

 -- Dylan Aïssi <daissi@debian.org>  Fri, 10 Oct 2025 15:04:41 +0200

mesa (25.2.4-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.
  * Lower libdrm-dev to 2.4.124-1 to match the version in Trixie.

 -- Dylan Aïssi <daissi@debian.org>  Thu, 09 Oct 2025 17:55:31 +0200

mesa (25.2.4-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 03 Oct 2025 18:09:21 +0300

mesa (25.2.3-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.
  * Lower libdrm-dev to 2.4.124-1 to match the version in Trixie.

 -- Dylan Aïssi <daissi@debian.org>  Mon, 06 Oct 2025 17:01:55 +0200
