## mesa 25.2.5

=== debian/changelog ===
mesa (25.2.5-1~jotti13+1) trixie-jotti; urgency=medium

  * New upstream release.
  * Build for trixie-jotti.

 -- Jordi Bosveld <jordi@jotti.nl>  Thu, 16 Oct 2025 08:50:25 +0200

mesa (25.2.4-1~jotti13+1) trixie-jotti; urgency=medium

  * New upstream release.
  * Build for trixie-jotti.

 -- Jordi Bosveld <jordi@jotti.nl>  Fri, 10 Oct 2025 09:46:45 +0200

mesa (25.2.2-1~jotti13+1) trixie-jotti; urgency=medium

  * New upstream release.
  * Build for trixie-jotti.

 -- Jordi Bosveld <jordi@jotti.nl>  Wed, 03 Sep 2025 20:58:00 +0200

mesa (25.2.1-1~jotti13+1) trixie-jotti; urgency=medium

  * New upstream release.
  * patches: Remove library_arch entry from vulkan ICD files to
    prevent conflicts on multi-arch systems.
  * control: Relax build dependency version of libdrm-dev.
  * rules: Build using llvm-19.
  * Build for trixie-jotti.

 -- Jordi Bosveld <jordi@jotti.nl>  Thu, 21 Aug 2025 21:43:16 +0200
