=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 DEB_HOST_ARCH_CPU  ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
 
 # for finding the correct llvm-config when meson doesn't know about it yet
-LLVM_VERSION = 20
+LLVM_VERSION = 19
 export PATH:=/usr/lib/llvm-$(LLVM_VERSION)/bin/:$(PATH)
 
 export DEB_BUILD_MAINT_OPTIONS=optimize=-lto
@@ -47,11 +47,12 @@
 VULKAN_DRIVERS =
 VULKAN_LAYERS =
 
+confflags_SSE2 = -Dsse2=true
 confflags_TEFLON = -Dteflon=false
 
 LLVM_ARCHS     = amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
-RUSTICL_ARCHS  = amd64 arm64 armel armhf loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32
-NVK_ARCHS      = amd64 arm64 armhf ppc64 riscv64 x32
+RUSTICL_ARCHS  = amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32
+NVK_ARCHS      = amd64 arm64 armhf i386 ppc64 riscv64 x32
 VALGRIND_ARCHS = amd64 arm64 armhf i386 mips64el powerpc ppc64 ppc64el s390x
 
 # hurd doesn't do direct rendering
@@ -154,6 +155,10 @@
   ifneq (,$(filter $(DEB_HOST_ARCH), arm64))
 	confflags_TEFLON = -Dteflon=true
   endif
+endif
+
+ifeq ($(DEB_HOST_ARCH), i386)
+	confflags_SSE2 = -Dsse2=false
 endif
 
 empty:=
@@ -184,6 +189,7 @@
 	$(confflags_GBM) \
 	$(confflags_GALLIUM) \
 	$(confflags_GLES) \
+	$(confflags_SSE2) \
 	$(confflags_VALGRIND) \
 	$(confflags_TEFLON)
 
@@ -199,6 +205,7 @@
 
 override_dh_clean: regen_control
 	dpkg-parsechangelog | awk '/^Version:/ {print $$2}' | sed 's/-.*//;s/~/-/' > VERSION
+	rm -rf .pc
 	rm -rf build
 	rm -rf configure bin/config.guess bin/config.sub config.h.in
 	rm -rf $$(find -name Makefile.in)
@@ -231,9 +238,3 @@
 # some tests are expected to fail for now, drop this when upstream has
 # better cross-build testing in place and expected failures fixed
 override_dh_auto_test:
-	-dh_auto_test
-
-allpkg = $(shell dh_listpackages -a)
-
-override_dh_installchangelogs:
-	dh_installchangelogs -a
